# eric6.Graphics.UMLSceneSizeDialog

Module implementing a dialog to set the scene sizes.

### Global Attributes

None

### Classes

UMLSceneSizeDialog | Class implementing a dialog to set the scene sizes.

### Functions

None

## UMLSceneSizeDialog

Class implementing a dialog to set the scene sizes.

### Derived from

QDialog, Ui_UMLSceneSizeDialog

### Class Attributes

None

### Class Methods

None

### Methods

UMLSceneSizeDialog | Constructor
getData | Public method to retrieve the entered data.

### Static Methods

None

#### UMLSceneSizeDialog (Constructor)

UMLSceneSizeDialog(w, h, minW, minH, parent=None, name=None)

Constructor

w
  current width of scene (integer)
h
  current height of scene (integer)
minW
  minimum width allowed (integer)
minH
  minimum height allowed (integer)
parent
  parent widget of this dialog (QWidget)
name
  name of this widget (string)

#### UMLSceneSizeDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple giving the selected width and height (integer, integer)

Up